searchNodes=[{"doc":"TypeChecker provides one function to check the type of variables. It is inspired by https://stackoverflow.com/questions/28377135/check-typeof-variable-in-elixir thread.","ref":"TypeChecker.html","title":"TypeChecker","type":"module"},{"doc":"which?/1 returns the type of a variable. Examples iex&gt; TypeChecker . which? ( :atom ) &quot;atom&quot; iex&gt; bin = &quot;hello&quot; iex&gt; TypeChecker . which? ( bin ) &quot;binary&quot; iex&gt; bitstr = &lt;&lt; 1 :: 3 &gt;&gt; iex&gt; TypeChecker . which? ( bitstr ) &quot;bitstring&quot; iex&gt; TypeChecker . which? ( :true ) &quot;boolean&quot; iex&gt; pi = 3.14159 iex&gt; TypeChecker . which? ( pi ) &quot;float&quot; iex&gt; fun = fn ( a , b ) -&gt; a + b end iex&gt; TypeChecker . which? ( fun ) &quot;function&quot; iex&gt; TypeChecker . which? ( &amp; TypeChecker . which? / 1 ) &quot;function&quot; iex&gt; int = 42 iex&gt; TypeChecker . which? ( int ) &quot;integer&quot; iex&gt; list = [ 1 , 2 , 3 , 4 ] iex&gt; TypeChecker . which? ( list ) &quot;list&quot; iex&gt; map = %{ :foo =&gt; &quot;bar&quot; , &quot;hello&quot; =&gt; :world } iex&gt; TypeChecker . which? ( map ) &quot;map&quot; iex&gt; TypeChecker . which? ( nil ) &quot;nil&quot; iex&gt; pid = spawn ( fn -&gt; 1 + 2 end ) iex&gt; TypeChecker . which? ( pid ) &quot;pid&quot; iex&gt; port = Port . open ( { :spawn , &quot;cat&quot; } , [ :binary ] ) iex&gt; TypeChecker . which? ( port ) &quot;port&quot; iex&gt; ref = :erlang . make_ref iex&gt; TypeChecker . which? ( ref ) &quot;reference&quot; iex&gt; tuple = { :name , &quot;alex&quot; } iex&gt; TypeChecker . which? ( tuple ) &quot;tuple&quot;","ref":"TypeChecker.html#which?/1","title":"TypeChecker.which?/1","type":"function"},{"doc":"An Elixir library to provide a convenient way to check the type of variables. It is inspired by this Stack Overflow thread","ref":"readme.html","title":"TypeChecker","type":"extras"},{"doc":"def deps do [ { :type_checker , &quot;~&gt; 0.1.1&quot; } ] end","ref":"readme.html#installation","title":"TypeChecker - Installation","type":"extras"},{"doc":"All notable changes to this project will be documented in this file. See Conventional Commits for commit guidelines.","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Documentation 📝: changelog: v0.1.0 livebook: add tutorial to work with structs typo: fix typo in the function doc","ref":"changelog.html#v0-1-1-2022-12-27","title":"Changelog - v0.1.1 (2022-12-27)","type":"extras"},{"doc":"Exciting New Features 🎉: add which?/1 function Bug Fixes 🐛: replace publish action buil &amp; test action missing license failing release mix cross reference warning","ref":"changelog.html#v0-1-0-2022-12-27","title":"Changelog - v0.1.0 (2022-12-27)","type":"extras"},{"doc":"The MIT License (MIT) Copyright © 2022 Elephant OSS Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the “Software”), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"LICENSE","type":"extras"},{"doc":"","ref":"struct.html","title":"Working with structs","type":"extras"},{"doc":"Mix . install ( [ { :type_checker , &quot;~&gt; 0.1.1&quot; } ] )","ref":"struct.html#setup","title":"Working with structs - Setup","type":"extras"},{"doc":"For this example, we will model a person (having only one attribute - name). defmodule Person do defstruct name : :string end Now that we have our struct defined, we can go ahead and create a new person. v1 = % Person { name : &quot;John Smith&quot; } Use type checker's which? function to get the variable's type. TypeChecker . which? ( v1 )","ref":"struct.html#checking-the-type-of-structs","title":"Working with structs - Checking the type of structs","type":"extras"}]